<?php
/**
 * This project has been generated by nuts generator
 * nuts has been made by fahmi sulaiman
 * sulaimanfahmi@gmail.com
 */

namespace Provider\Response;

use Slim\Http\Response;

class Results
{
	protected $attribute;

	public function __construct()
	{
		$this->attribute = require "configResponse.php";
	}

	protected $option = JSON_NUMERIC_CHECK | JSON_PRETTY_PRINT | JSON_UNESCAPED_SLASHES;

	public function success(Response $res, $data)
	{

		$data = [
			"meta" => [
				"timestamp" => (integer)microtime(true),
				"status" => 200,
				"data" => $data
			]];
		return $res->withJson($data, 200, $this->option);
	}

	public function error(Response $res, $message)
	{
		$data = [
			"meta" => [
				"timestamp" => (integer)microtime(true),
				"status" => json_decode(MISSING_BODY_DATA),
				"data" => $message
			],
		];
		return $res->withJson($data, 500, $this->option);
	}
}